#used by Messaging Server 4.x
#
#
attribute	nsmsgAccounturl	cis
attribute	nsmsgAdddeliveredto	cis
attribute	nsmsgAddheaders	cis
attribute	nsmsgAdmins	cis
attribute	nsmsgAlias		cis
attribute	nsmsgAllowadminproxy	cis
attribute	nsmsgAllowanonymouslogin	cis
attribute	nsmsgAllowbarelf	cis
attribute	nsmsgAllowbdat	cis
attribute	nsmsgAllowehlo	cis
attribute	nsmsgAllowetrn	cis
attribute	nsmsgAllowexpn	cis
attribute	nsmsgAllowhelp	cis
attribute	nsmsgAllowonex	cis
attribute	nsmsgAllowsize	cis
attribute	nsmsgAllowverb	cis
attribute	nsmsgAllowvrfy	cis
attribute	nsmsgAltqueues	cis
attribute	nsmsgAlwaysqueue	cis
attribute	nsmsgAuthcachesize	cis
attribute	nsmsgAuthcachettl	cis
attribute	nsmsgAuthmaildomain	cis
attribute	nsmsgBanner	cis
attribute	nsmsgBinarypath	cis
attribute	nsmsgBuffersize	cis
attribute	nsmsgCheckdeferredqueue	cis
attribute	nsmsgCleanupage		cis
attribute	nsmsgClearcontrolinterval	cis
attribute	nsmsgClearcontrolsafetime	cis
attribute	nsmsgCollectiondeltatime	cis
attribute	nsmsgConfigversion		cis
attribute	nsmsgContact		cis
attribute	nsmsgCounterdeltatime	cis
attribute	nsmsgDbcachesize	cis
attribute	nsmsgDbtmpdir	cis
attribute	nsmsgDcroot	cis
attribute	nsmsgDefaultacl	cis
attribute	nsmsgDefaultdomain	cis
attribute	nsmsgDefaultecho	cis
attribute	nsmsgDefaultgid	cis
attribute	nsmsgDefaultmailboxquota	cis
attribute	nsmsgDefaultmessagequota	cis
attribute	nsmsgDefaultoverquota	cis
attribute	nsmsgDefaultpartition	cis
attribute	nsmsgDefaultreply	cis
attribute	nsmsgDefaultuid	cis
attribute	nsmsgDefaultvacation	cis
attribute	nsmsgDeferredperiod	cis
attribute	nsmsgDeleteheaders	cis
attribute	nsmsgDescription		cis
attribute	nsmsgDiskflushinterval		cis
attribute	nsmsgDnsresolveclient	cis
attribute	nsmsgDocanonicalize	cis
attribute	nsmsgDoclientdnslookup	cis
attribute	nsmsgDodsn	cis
attribute	nsmsgDoetrn	cis
attribute	nsmsgConnLimits	cis
attribute	nsmsgDomainallowed	cis
attribute	nsmsgDomainlangtable	cis
attribute	nsmsgDomainname	cis
attribute	nsmsgDomainnotallowed	cis
attribute	nsmsgDomainsecurity	cis
attribute	nsmsgDorewritefromusingauth	cis
attribute	nsmsgDorewritesenderusingauth	cis
attribute	nsmsgEnable		cis
attribute	nsmsgEnablesslport	cis
attribute	nsmsgEnveloperewritemethod	cis
attribute	nsmsgExclusive	cis
attribute	nsmsgExpirestart	cis
attribute	nsmsgExpirytime	cis
attribute	nsmsgExternalmxserverip	cis
attribute	nsmsgExtrauserldapattrs	cis
attribute	nsmsgFallbacksearchmethod	cis
attribute	nsmsgFilemode	cis
attribute	nsmsgFilterurl	cis
attribute	nsmsgFlushinterval	cis
attribute	nsmsgFolderpattern	cis
attribute	nsmsgFoldersizebytes	cis
attribute	nsmsgFolderurl	cis
attribute	nsmsgForeignpercentaddr	cis
attribute	nsmsgFormsigkey	cis
attribute	nsmsgFullfromheader	cis
attribute	nsmsgHidehostname	cis
attribute	nsmsgHopcountexceedactions	cis
attribute	nsmsgHostoncommandline	cis
attribute	nsmsgHostrewrites	cis
attribute	nsmsgIdletimeout	cis
attribute	nsmsgIpsecurity	cis
attribute	nsmsgInstalledlanguages	cis
attribute	nsmsgInternalmxserverip	cis
attribute	nsmsgLdapmemcache	cis
attribute	nsmsgLdapmemcachesize	cis
attribute	nsmsgLdapmemcachettl	cis
attribute	nsmsgLdappoolsize	cis
attribute	nsmsgLdaputilconfig	cis
attribute	nsmsgListenaddr	cis
attribute	nsmsgListenq	cis
attribute	nsmsgListurl	cis
attribute	nsmsgLocaldefaultmaxruncount	cis
attribute	nsmsgLocaldefaultminruncount	cis
attribute	nsmsgLocalmaildomains	cis
attribute	nsmsgLocation		cis
attribute	nsmsgLog	cis
attribute	nsmsgLogdir	cis
attribute	nsmsgLoginseparator	cis
attribute	nsmsgLoglevel	cis
attribute	nsmsgLogtype		cis
attribute	nsmsgMaildeliveryprogram	cis
attribute	nsmsgMasterhost	cis
attribute	nsmsgMasterport	cis
attribute	nsmsgMaxbadcommands	cis
attribute	nsmsgMaxbranches	cis
attribute	nsmsgMaxcontrolrecipients cis
attribute	nsmsgMaxcputime	cis
attribute	nsmsgMaxerrorobjectsize	cis
attribute	nsmsgMaxheaderlines	cis
attribute	nsmsgMaxlogfiles	cis
attribute	nsmsgMaxlogfilesize	cis
attribute	nsmsgMaxlogsize	cis
attribute	nsmsgMaxmessagesize	cis
attribute	nsmsgMaxmtahops	cis
attribute	nsmsgMaxpostsize	cis
attribute	nsmsgMaxqueuetime	cis
attribute	nsmsgMaxruncount	cis
attribute	nsmsgMaxruncountdeferred	cis
attribute	nsmsgMaxscriptsize	cis
attribute	nsmsgMaxsessions	cis
attribute	nsmsgMaxstateobjectsize	cis
attribute	nsmsgMaxthreads	cis
attribute	nsmsgMessagecount	cis
attribute	nsmsgMessagedays	cis
attribute	nsmsgMessagehostname	cis
attribute	nsmsgMessagesize	cis
attribute	nsmsgMessagesizedays	cis
attribute	nsmsgMinfreediskspace	cis
attribute	nsmsgMinruncount	cis
attribute	nsmsgMsgalarmdescription	cis
attribute	nsmsgMsgalarmnoticehost	cis
attribute	nsmsgMsgalarmnoticeport	cis
attribute	nsmsgMsgalarmnoticercpt	cis
attribute	nsmsgMsgalarmnoticesender	cis
attribute	nsmsgMsgalarmnoticetemplate	cis
attribute	nsmsgMsgalarmstatinterval	cis
attribute	nsmsgMsgalarmthreshold	cis
attribute	nsmsgMsgalarmthresholddirection	cis
attribute	nsmsgMsgalarmwarninginterval	cis
attribute	nsmsgMtaid		cis
attribute	nsmsgMtaname		cis
attribute	nsmsgNeedsender	cis
attribute	nsmsgNegativehostattr	cis
attribute	nsmsgNestedgroups	cis
attribute	nsmsgNetworkdefaultmaxruncount	cis
attribute	nsmsgNetworkdefaultminruncount	cis
attribute	nsmsgNewsprefix	cis
attribute	nsmsgNewsspool	cis
attribute	nsmsgNewuserforms	cis
attribute	nsmsgNtaccount	cis
attribute	nsmsgNtpassword	cis
attribute	nsmsgNtrunoptn	cis
attribute	nsmsgNumdays	cis
attribute	nsmsgNumenvelopequeuefiles	cis
attribute	nsmsgNummessages	cis
attribute	nsmsgNumprocesses	cis
attribute	nsmsgOrganization		cis
attribute	nsmsgPartition	cis
attribute	nsmsgPath	cis
attribute	nsmsgPipePerm	cis
attribute	nsmsgPipeParams	cis
attribute	nsmsgPlaintextloginpause	cis
attribute	nsmsgPlaintextmincipher	cis
attribute	nsmsgPopminpoll	cis
attribute	nsmsgPort	cis
attribute	nsmsgPositivehostattr	cis
attribute	nsmsgProtocolubeconfig	cis
attribute	nsmsgProxydomainallowed	cis
attribute	nsmsgQuotaenforcement	cis
attribute	nsmsgQuotaexceededactions	cis
attribute	nsmsgQuotaexceededmsg	cis
attribute	nsmsgQuotaexceededmsginterval	cis
attribute	nsmsgQuotagraceperiod	cis
attribute	nsmsgQuotanotification	cis
attribute	nsmsgQuotawarn	cis
attribute	nsmsgReadtimeout	cis
attribute	nsmsgRenotifyinterval	cis
attribute	nsmsgRequirecrlf	cis
attribute	nsmsgReserved0	cis
attribute	nsmsgReserved1	cis
attribute	nsmsgReserved2	cis
attribute	nsmsgReserved3	cis
attribute	nsmsgReserved4	cis
attribute	nsmsgReserved5	cis
attribute	nsmsgReserved6	cis
attribute	nsmsgReserved7	cis
attribute	nsmsgReserved8	cis
attribute	nsmsgReserved9	cis
attribute	nsmsgResourcetimeout	cis
attribute	nsmsgRewritetocc	cis
attribute	nsmsgRolloverdelta	cis
attribute	nsmsgRolloversize	cis
attribute	nsmsgRollovertime	cis
attribute	nsmsgRoutingattribute	cis
attribute	nsmsgRoutstripimapfolders	cis
attribute	nsmsgSessiontimeout	cis
attribute	nsmsgShellpath	cis
attribute	nsmsgSitelanguage	cis
attribute	nsmsgSmtphost	cis
attribute	nsmsgSmtpport	cis
attribute	nsmsgSmtprewritestyle	cis
attribute	nsmsgSourceurl	cis
attribute	nsmsgSpooldir	cis
attribute	nsmsgSslcachesize	cis
attribute	nsmsgSslpasswdfile	cis
attribute	nsmsgSslport		cis
attribute	nmmsgsslsourceurl	cis
attribute	nsmsgSslusessl	cis
attribute	nsmsgSslusesslrelay	cis
attribute	nsmsgStripcr	cis
attribute	nsmsgSyslogfacility		cis
attribute	nsmsgSystemmaildir	cis
attribute	nsmsgTcpaccessdeniedtimeout	cis
attribute	nsmsgTimeoutcommand	cis
attribute	nsmsgTimeoutdata	cis
attribute	nsmsgTimeoutdatadot	cis
attribute	nsmsgTimeoutdatasend	cis
attribute	nsmsgTimeoutgreet	cis
attribute	nsmsgTimeouthelo	cis
attribute	nsmsgTimeoutmail	cis
attribute	nsmsgTimeoutquit	cis
attribute	nsmsgTimeoutrcpt	cis
attribute	nsmsgTimeoutrset	cis
attribute	nsmsgUmask	cis
attribute	nsmsgServiceadmingroupdn	cis
attribute	nsmsgUnknownacctsactions	cis
attribute	nsmsgUsemx	cis
attribute	nsmsgVerifyrcpts	cis
attribute	nsmsgVersion		cis

objectclass netscapeMessagingServer
	superior top
	requires
		cn,
		nsServerID
	allows
		description

objectclass nsmsgCfgcontainer
	superior top
	requires
		objectclass,
		cn

objectclass nsmsgCfggen
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAccounturl,
		nsmsgConfigversion,
		nsmsgFilterurl,
		nsmsgFolderurl,
		nsmsgInstalledlanguages,
		nsmsgListurl,
		nsmsgNewuserforms,
		nsmsgSitelanguage
		
objectclass nsmsgCfgsnmp
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgContact,
		nsmsgCollectiondeltatime,
		nsmsgDescription,
		nsmsgEnable,
		nsmsgLocation,
		nsmsgMtaid,
		nsmsgMtaname,
		nsmsgMasterhost,
		nsmsgMasterport,
		nsmsgOrganization,
		nsmsgVersion
		
objectclass nsmsgCfgstore
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAdmins,
		nsmsgCleanupage,
		nsmsgDbcachesize,
		nsmsgDbtmpdir,
		nsmsgDefaultacl,
		nsmsgDefaultmailboxquota,
		nsmsgDefaultmessagequota,
		nsmsgDefaultpartition,
		nsmsgDiskflushinterval,
		nsmsgExpirestart,
		nsmsgQuotaexceededmsg,
		nsmsgQuotaexceededmsginterval,
		nsmsgQuotagraceperiod,
		nsmsgQuotawarn,
		nsmsgQuotaenforcement,
		nsmsgQuotanotification,
		nsmsgUmask,
		nsmsgServiceadmingroupdn

objectclass nsmsgPipeProgram
	superior top
	requires
		objectclass,
		cn,
		nsmsgPath,
		nsmsgPipePerm
	allows
		nsmsgPipeParams
		
objectclass nsmsgCfgexpirerule
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgFolderpattern,
		nsmsgExclusive,
		nsmsgFoldersizebytes,
		nsmsgMessagecount,
		nsmsgMessagedays,
		nsmsgMessagesize,
		nsmsgMessagesizedays,
		nsmsgSeen,
		nsmsgDeleted

objectclass nsmsgCfgpartition
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgPath

objectclass nsmsgCfguser
	superior top
	requires
		objectclass,
		cn

objectclass nsmsgCfgpublic
	superior top
	requires
		objectclass,
		cn

objectclass nsmsgCfgalias
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAlias

objectclass nsmsgCfglog
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgBuffersize,
		nsmsgExpirytime,
		nsmsgFlushinterval,
		nsmsgLogdir,
		nsmsgLoglevel,
		nsmsgLogtype,
		nsmsgMaxlogfiles,
		nsmsgMaxlogfilesize,
		nsmsgMaxlogsize,
		nsmsgMinfreediskspace,
		nsmsgRollovertime,
		nsmsgSyslogfacility

objectclass nsmsgCfgservice
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAuthcachesize,
		nsmsgAuthcachettl,
		nsmsgDcroot,
		nsmsgDefaultdomain,
		nsmsgDnsresolveclient,
		nsmsgLdapmemcache,
		nsmsgLdapmemcachesize,
		nsmsgLdapmemcachettl,
		nsmsgLdappoolsize,
		nsmsgListenaddr,
		nsmsgLoginseparator,
		nsmsgPlaintextloginpause,
		nsmsgReadtimeout,
		nsmsgSslpasswdfile

objectclass nsmsgCfgpop
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAllowanonymouslogin,
		nsmsgBanner,
		nsmsgConnLimits,
		nsmsgDomainallowed,
		nsmsgDomainnotallowed,
		nsmsgEnable,
		nsmsgEnablesslport,
		nsmsgIdletimeout,
		nsmsgLdappoolsize,
		nsmsgMaxsessions,
		nsmsgMaxthreads,
		nsmsgNumprocesses,
		nsmsgPlaintextmincipher,
		nsmsgPopminpoll,
		nsmsgPort,
		nsmsgSslport,
		nsmsgSslusessl

objectclass nsmsgCfgimap
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAllowanonymouslogin,
		nsmsgBanner,
		nsmsgConnLimits,
		nsmsgDomainallowed,
		nsmsgDomainnotallowed,
		nsmsgEnable,
		nsmsgEnablesslport,
		nsmsgIdletimeout,
		nsmsgLdappoolsize,
		nsmsgMaxsessions,
		nsmsgMaxthreads,
		nsmsgNumprocesses,
		nsmsgPlaintextmincipher,
		nsmsgPort,
		nsmsgSslcachesize,
		nsmsgSslport,
		nsmsgSslusessl

objectclass nsmsgCfgimta
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgLdappoolsize

objectclass nsmsgCfghttp
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAllowadminproxy,
		nsmsgAllowanonymouslogin,
		nsmsgConnLimits,
		nsmsgDomainallowed,
		nsmsgDomainnotallowed,
		nsmsgDomainsecurity,
		nsmsgEnable,
		nsmsgEnablesslport,
		nsmsgExtrauserldapattrs,
		nsmsgFullfromheader,
		nsmsgIdletimeout,
		nsmsgIpsecurity,
		nsmsgLdappoolsize,
		nsmsgMaxmessagesize,
		nsmsgMaxpostsize,
		nsmsgMaxsessions,
		nsmsgMaxthreads,
		nsmsgNumprocesses,
		nsmsgPlaintextmincipher,
		nsmsgPort,
		nsmsgProxydomainallowed,
		nsmsgResourcetimeout,
		nsmsgSessiontimeout,
		nsmsgSmtphost,
		nsmsgSmtpport,
		nsmsgSourceurl,
		nsmsgSpooldir,
		nsmsgSslcachesize,
		nsmsgSslport,
		nsmsgSourceurl,
		nsmsgSslusessl

objectclass nsmsgCfgmta
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAltqueues,
		nsmsgAuthmaildomain,
		nsmsgBanner,
		nsmsgClearcontrolinterval,
		nsmsgClearcontrolsafetime,
		nsmsgCounterdeltatime,
		nsmsgDefaultdomain,
		nsmsgDeferredperiod,
		nsmsgDocanonicalize,
		nsmsgDoclientdnslookup,
		nsmsgDodsn,
		nsmsgDomainallowed,
		nsmsgDomainnotallowed,
		nsmsgDomainname,
		nsmsgDomainlangtable,
		nsmsgEnable,
		nsmsgForeignpercentaddr,
		nsmsgLdappoolsize,
		nsmsgLdaputilconfig,
		nsmsgLocaldefaultmaxruncount,
		nsmsgLocaldefaultminruncount,
		nsmsgMaxheaderlines,
		nsmsgMaxqueuetime,
		nsmsgMessagehostname,
		nsmsgNetworkdefaultmaxruncount,
		nsmsgNetworkdefaultminruncount,
		nsmsgNumenvelopequeuefiles,
		nsmsgPlaintextmincipher,
		nsmsgPort,
		nsmsgProtocolubeconfig,
		nsmsgReserved0,
		nsmsgReserved1,
		nsmsgReserved2,
		nsmsgReserved3,
		nsmsgReserved4,
		nsmsgReserved5,
		nsmsgReserved6,
		nsmsgReserved7,
		nsmsgReserved8,
		nsmsgReserved9,
		nsmsgRolloverdelta,
		nsmsgRolloversize,
		nsmsgRoutstripimapfolders,
		nsmsgSslusessl,
		nsmsgSslusesslrelay

objectclass nsmsgCfgmtalog
	requires
		objectclass,
		cn
	allows
		nsmsgLog,
		nsmsgMinruncount,
		nsmsgMaxruncount,
		nsmsgMaxruncountdeferred

objectclass nsmsgCfgmtaautoreplyhandler
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgDefaultecho,
		nsmsgDefaultreply,
		nsmsgDefaultvacation

objectclass nsmsgCfgmtaerrorhandler
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgFormsigkey,
		nsmsgHopcountexceedactions,
		nsmsgQuotaexceededactions,
		nsmsgRenotifyinterval,
		nsmsgUnknownacctsactions

objectclass nsmsgCfgmtamboxdeliver
	superior top
	requires
		objectclass,
		cn

objectclass nsmsgCfgmtaprogdeliver
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgDefaultgid,
		nsmsgDefaultuid,
		nsmsgShellpath,
		nsmsgNtrunoptn, 
		nsmsgNtaccount, 
		nsmsgNtpassword

objectclass nsmsgCfgmtaaccept
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAllowbdat,
		nsmsgAllowehlo,
		nsmsgAllowetrn,
		nsmsgAllowexpn,
		nsmsgAllowhelp,
		nsmsgAllowonex,
		nsmsgAllowsize,
		nsmsgAllowverb,
		nsmsgAllowvrfy,
		nsmsgHidehostname,
		nsmsgMaxbadcommands,
		nsmsgMaxmessagesize,
		nsmsgMinfreediskspace,
		nsmsgNegativehostattr,
		nsmsgPositivehostattr,
		nsmsgRequirecrlf,
		nsmsgTcpaccessdeniedtimeout,
		nsmsgTimeoutcommand,
		nsmsgTimeoutdata,
		nsmsgVerifyrcpts

objectclass nsmsgCfgmtasmtpdeliver
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAllowbarelf,
		nsmsgAlwaysqueue,
		nsmsgCheckdeferredqueue,
		nsmsgDoetrn,
		nsmsgExternalmxserverip,
		nsmsgInternalmxserverip,
		nsmsgTimeoutdata,
		nsmsgTimeoutdatadot,
		nsmsgTimeoutdatasend,
		nsmsgTimeoutgreet,
		nsmsgTimeouthelo,
		nsmsgTimeoutmail,
		nsmsgTimeoutquit,
		nsmsgTimeoutrcpt,
		nsmsgTimeoutrset,
		nsmsgUsemx

objectclass nsmsgCfgmtarouter
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgAdddeliveredto,
		nsmsgAddheaders,
		nsmsgDeleteheaders,
		nsmsgDorewritefromusingauth,
		nsmsgDorewritesenderusingauth,
		nsmsgEnveloperewritemethod,
		nsmsgFallbacksearchmethod,
		nsmsgHostrewrites,
		nsmsgLocalmaildomains,
		nsmsgMaxcontrolrecipients,
		nsmsgMaxmtahops,
		nsmsgNestedgroups,
		nsmsgRewritetocc,
		nsmsgRoutingattribute,
		nsmsgSmtprewritestyle

objectclass nsmsgCfgmtaunixdeliver
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgDefaultgid,
		nsmsgDefaultuid,
		nsmsgFilemode,
		nsmsgMaildeliveryprogram,
		nsmsgNeedsender,
		nsmsgStripcr,
		nsmsgSystemmaildir

objectclass nsmsgCfgreport
	superior top
	requires
		objectclass,
		cn

objectclass nsmsgCfgalarmcontainer
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgMsgalarmnoticehost,
		nsmsgMsgalarmnoticeport,
		nsmsgMsgalarmnoticercpt,
		nsmsgMsgalarmnoticesender,
		nsmsgMsgalarmnoticetemplate

objectclass nsmsgCfgalarm
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgMsgalarmdescription,
		nsmsgMsgalarmstatinterval,
		nsmsgMsgalarmthreshold,
		nsmsgMsgalarmthresholddirection,
		nsmsgMsgalarmwarninginterval

objectclass nsmsgCfgscript
	superior top
	requires
		objectclass,
		cn
	allows
		nsmsgEnable,
		nsmsgBinarypath,
		nsmsgLoglevel,
		nsmsgMaxscriptsize,
		nsmsgMaxbranches,
		nsmsgMaxcputime,
		nsmsgMaxerrorobjectsize,
		nsmsgMaxstateobjectsize
